/****************************************************************************************
|  Description: software application header file
|    File Name: app.h
|
|----------------------------------------------------------------------------------------
|                          C O P Y R I G H T
|----------------------------------------------------------------------------------------
|     Copyright (c) 2012 by Feaser     http://www.feaser.com     All rights reserved
|
|   This software is the property of Feaser. The source and compiled code may only be 
|        used on the Olimex EM32G880F128-STK board (http://www.olimex.com/dev).
| 
|      This copyright notice may not be removed from the source code nor changed.
|
|   This software has been carefully tested, but is not guaranteed for any particular
| purpose. The author does not offer any warranties and does not guarantee the accuracy,
|   adequacy, or completeness of the software and is not responsible for any errors or
|              omissions or the results obtained from use of the software.
|
|***************************************************************************************/
#ifndef APP_H
#define APP_H


/****************************************************************************************
* Macro definitions
****************************************************************************************/
#define APP_CTRL_TASK_PRIO     (tskIDLE_PRIORITY + 4)
#define APP_CTRL_TASK_PERIOD   ((portTickType)500/portTICK_RATE_MS)


/****************************************************************************************
* Function prototypes
****************************************************************************************/
void AppCtrlTask(void *pvParameters);


#endif /* APP_H */
/********************************* end of app.h ****************************************/


